Выпущено обновление SMF 2.0.8

Автор digger®, 19 июня 2014, 00:50:34

« назад - далее »

0 Пользователи и 1 гость просматривают эту тему.

digger®

Цитата: ВладимирК от 21 июня 2014, 14:00:19
Но ведь он уже деинсталирован! Там уж и кнопки нет - ===удаление мода===
Если бы он был деинсталлирован, то вместо кнопки "Удаление мода" была бы кнопка установить.
А отсутствие этой кнопки говорит только о том, что в установщике мода нет секции под версию установленного SMF. Впишите в эмуляцию SMF 2.0 и появятся везде кнопки.

ВладимирК

#51
Не согласен. Перед удалением модов обновлений -4,5,6,7 я дёргался и боялся и думал-думал. Вывод - хитрый-умный этот SMF - при установке последующего нового обновления он сам удаляет предыдущее с невозможностью заднего хода. Другие моды я 10 раз туда-сюда, а обновление только вперёд. Можно откатить из 8-го на 7-й , но сначала удалив 8 как будто его и не было - тогда появится кнопка установить 8-й.
--------------------
Точно так - я удалил 7й , остался 6й, и стал ставить 8й, но он сначала поставил 7го потом 8йсам поставился.

GeorG

Зря не соглашаетесь...
Если хотите например удалить через один, т.е. оставив 2.0.8 и чтобы появилась кнопка на удаление версии 2.0.7, требуется выставить эмуляцию на 2.0.6. Т.к., он идет перед 2.0.7 версией.
Верстка тем по шаблону, их доработка/переработка, переделка тем с версии smf 1.1 на smf 2.0. Примеры работ - insidestyle.ru
Установка модов (заточка под ваш форум); Моды под заказ; Обновление форума; Правильный перенос; Удаление/лечение вирусов; Устранения ошибок.
Обращаться в ЛС
Мой форум
Модуль анти-спама CleanTalk, сам пользуюсь
Сервера которыми сам пользуюсь - cadedic.ru

Slavegirl

Я изначально в файле package-info.xml изменяю строки, чтобы не "ломать" список всех установленных пакетов:

<install for="2.0 - 2.0.99">
<uninstall for="2.0 - 2.0.99">

В результате удалить могу любой апдейт в любой очередности. Только вот зачем?

ВладимирК

#54
Цитата: Slavegirl от 21 июня 2014, 17:59:04Я изначально в файле package-info.xml изменяю строки, чтобы не "ломать" список всех установленных пакетов:
Ну так не честно обманывать движёк. Я так же ОПЕРУ от обновления обезопасил - рекламщики видят что новая и не пристают. Правда такой ещё и в помине нет - 33.33.

Участник форума

У меня такие ошибки.

Неудачно в этих двух файлах. Тип "Заменить".
Sources/Subs-Editor.php
Sources/QueryString.php

Перед установкой "SMF 2.0.8" все МОДы отключил.

Я решил не устанавливать МОД "SMF 2.0.8", т.к. не являюсь специалистом по SMF-форумам, а только пользователь и не знаю, что нужно делать.

ВладимирК

Цитата: Участник форума от 21 июня 2014, 22:21:04Неудачно в этих двух файлах. Тип "Заменить".Sources/Subs-Editor.php   Sources/QueryString.php
Однотипно было и у меня. Моды не виноваты. Виновато обновление SMF 2.0.7 - оно было глюченое. Надо его удалить и опять установить 7 и 8 - это не опасно, так как делать надо и так положено. А менять строчки в скриптах - опасно.

GeorG

Цитата: Участник форума от 21 июня 2014, 22:21:04Перед установкой "SMF 2.0.8" все МОДы отключил.
Отключили или удалили?

Цитата: Участник форума от 21 июня 2014, 22:21:04Я решил не устанавливать МОД "SMF 2.0.8", т.к. не являюсь специалистом по SMF-форумам, а только пользователь
Серьезное основание, чтобы не обновляться.
Верстка тем по шаблону, их доработка/переработка, переделка тем с версии smf 1.1 на smf 2.0. Примеры работ - insidestyle.ru
Установка модов (заточка под ваш форум); Моды под заказ; Обновление форума; Правильный перенос; Удаление/лечение вирусов; Устранения ошибок.
Обращаться в ЛС
Мой форум
Модуль анти-спама CleanTalk, сам пользуюсь
Сервера которыми сам пользуюсь - cadedic.ru

Участник форума

GeorG, я отключил МОДы вот так:
Админка - Менеджер пакетов - Обзор пакетов - [Удаление мода] (это в первом столбце).
В третьем столбце "[Удаление]" я не удалял.

ВладимирК, я МОД "SMF 2.0.7 Update" тоже отключал вот так:
Админка - Менеджер пакетов - Обзор пакетов - [Удаление мода] (это в первом столбце).
Затем заново установил и те же ошибки.

Или нужно полностью удалить, т.е. вот так:
Админка - Менеджер пакетов - Обзор пакетов - [Удаление мода] (это в первом столбце) - затем "[Удаление]" (третий столбец)?

Получилось установить. Я полностью удалил МОД 2.0.7:
Админка - Менеджер пакетов - Обзор пакетов - [Удаление мода] (это в первом столбце) - затем "[Удаление]" (третий столбец).
Затем заново установил МОД 2.0.7, а затем МОД 2.0.8. Ошибок больше не было.

GeorG

В третьем столбце - это удалить файл инсталлятора (он не на что не влияет, только на занимаемое место на сервере), его можно не трогать.
Верстка тем по шаблону, их доработка/переработка, переделка тем с версии smf 1.1 на smf 2.0. Примеры работ - insidestyle.ru
Установка модов (заточка под ваш форум); Моды под заказ; Обновление форума; Правильный перенос; Удаление/лечение вирусов; Устранения ошибок.
Обращаться в ЛС
Мой форум
Модуль анти-спама CleanTalk, сам пользуюсь
Сервера которыми сам пользуюсь - cadedic.ru

Участник форума

GeorG, проблема в МОДе 2.0.7? Нужно скачивать последнюю версию, а затем уже устанавливать МОД 2.0.8?

S.T.A.L.K.E.R.

Цитата: Участник форума от 21 июня 2014, 22:21:04Я решил не устанавливать МОД "SMF 2.0.8", т.к. не являюсь специалистом по SMF-форумам, а только пользователь и не знаю, что нужно делать.
В панеле хостера с помощью phpMyAdmin делаете бекапы форума и всё.Я ставлю все моды и вообще провожу все эксперименты ночью,когда минимум пользователей и никто не пишет посты.Почистил таблицы,логи,провёл оптимизацию форума и сделал бекап.Что-то сделал не так,уложил форум.Зашел на хостинг и восстановился.Делов на пару минут.

GeorG

Цитата: Участник форума от 22 июня 2014, 06:48:51
GeorG, проблема в МОДе 2.0.7? Нужно скачивать последнюю версию, а затем уже устанавливать МОД 2.0.8?
С этим патчем у всех проблемы, у кого установлены моды - Auto Merge Double Post и/или Single Category, и именно в этих файлах.
Верстка тем по шаблону, их доработка/переработка, переделка тем с версии smf 1.1 на smf 2.0. Примеры работ - insidestyle.ru
Установка модов (заточка под ваш форум); Моды под заказ; Обновление форума; Правильный перенос; Удаление/лечение вирусов; Устранения ошибок.
Обращаться в ЛС
Мой форум
Модуль анти-спама CleanTalk, сам пользуюсь
Сервера которыми сам пользуюсь - cadedic.ru

Участник форума

GeorG, у меня нет МОДа "автоматического объединения дублирующих сообщений".
Я так понял, что на официальном сайте были разные версии МОДа "SMF 2.0.7".
Когда я скачал, то в этом МОДе были недоработки. Затем, видимо, сделали изменения в этом МОДе, но об этом не уведомили.
Я вчера скачал этот МОД и уже не было проблемы.

Я так понял.

GeorG

Цитата: Участник форума от 22 июня 2014, 08:45:26Я так понял, что на официальном сайте были разные версии МОДа "SMF 2.0.7".
Да были, после первого выпуска, через несколько часов закрыли допуск к файлу обновления, потом через некоторое время его пофиксили... Тут на форуме об том писалось, надо было сразу и переустановить, если успели тогда обновиться...
Верстка тем по шаблону, их доработка/переработка, переделка тем с версии smf 1.1 на smf 2.0. Примеры работ - insidestyle.ru
Установка модов (заточка под ваш форум); Моды под заказ; Обновление форума; Правильный перенос; Удаление/лечение вирусов; Устранения ошибок.
Обращаться в ЛС
Мой форум
Модуль анти-спама CleanTalk, сам пользуюсь
Сервера которыми сам пользуюсь - cadedic.ru

Участник форума

GeorG, значит нужно в инструкцию по установке МОДа 2.0.8 добавить пункт, что нужно полностью удалить и заново скачать МОД 2.0.7, т.к. были обновления МОДа 2.0.7.

S.T.A.L.K.E.R.

Цитата: ВладимирК от 21 июня 2014, 18:07:23Я так же ОПЕРУ от обновления обезопасил - рекламщики видят что новая и не пристают. Правда такой ещё и в помине нет - 33.33.
Очень интересно,а в каком файле эту операцию провернули?Спасибо заранее.
А то у меня моя любимая 12.15,задолбали уже просьбами обновится.

ВладимирК

#67
ЦитироватьПолучилось установить. Я полностью удалил МОД 2.0.7:Админка - Менеджер пакетов - Обзор пакетов - [Удаление мода] (это в первом столбце) - затем "[Удаление]" (третий столбец).Затем заново установил МОД 2.0.7, а затем МОД 2.0.8. Ошибок больше не было.
Ну ты незамено теперь уже стал специалистом по движку SMF. Молодец!
ЦитироватьGeorG, значит нужно в инструкцию по установке МОДа 2.0.8 добавить пункт, что нужно полностью удалить и заново скачать МОД 2.0.7, т.к. были обновления МОДа 2.0.7.
Так бы и надо всем подсказать чтобы не долбались головой в стену.
======================
Заменить в папке Opera   opera.dll   будет версия 33.33  и не   будет требовать обновления. Сюда заменить файл     opera.dll   C:\Program Files\Opera\     Уже изменённый файл прилагаю но он от (моя любимая) Opera_1162 - но должен подойти. Делайбе копию своего, мало ли что. http://gfile.ru/a8sOs

karavan

Обновился из админки, полет нормальный.

Magnit

После глобального обновления древней версии, многие моды работать перестали, как и было заявлено. Как их правильно теперь восстанавливать? Накатать сверху по-новой не дает или записывает куски кода повторно. Удалять битые моды нет возможности (либо отсутствует кнопка Удаление, либо предупреждение об ошибке). Как быть?
: : Oчарована digger'ом : :

digger®

Цитата: Magnit от 02 июля 2014, 15:40:20
После глобального обновления древней версии, многие моды работать перестали, как и было заявлено. Как их правильно теперь восстанавливать? Накатать сверху по-новой не дает или записывает куски кода повторно. Удалять битые моды нет возможности (либо отсутствует кнопка Удаление, либо предупреждение об ошибке). Как быть?
После обновления древней версии все файлы форума заменились на стоковые, поэтому не может быть никакой повторной записи кусков кода (если только в шаблоны нестандартной темы оформления). Моды могли остаться работать только те, что были полностью на хуках. Если используется нестандартная тема оформления, лучше ее тоже удалить, чтобы избавится от хвостов модов и установить заново.
Нужно очистить папку packages в корне форума, установить мод Integration Hooks Report и удалить в нем все используемые хуки, потом переустановить вчистую все нужные моды.

Magnit

Цитата: digger® от 02 июля 2014, 15:48:38установить мод Integration Hooks Report и удалить в нем все используемые хуки
Установила. А дальше как?
: : Oчарована digger'ом : :


Magnit

Цитата: digger® от 02 июля 2014, 16:29:23Значит нечего удалять.
Между тем, остатки модов болтаются в файлах форума. Удалять вручную, по описанию к установке?
: : Oчарована digger'ом : :

digger®

Цитата: Magnit от 02 июля 2014, 16:37:30
Между тем, остатки модов болтаются в файлах форума. Удалять вручную, по описанию к установке?
Как они могут болтаться в файлах форума, если эти файлы перезалили поверх при обновлении? Значит, что-то не так сделано при обновлении.
Переименуйте папки packages, Sources и Themes во что-нибудь другое и залейте вместо них папки из дистрибутива форума.

Корреспондент

После установки (с нуля) форума SMF 2.0.8, на почту приходит уже третье письмо за последнюю неделю:

There has been a problem with the database!

This is a notice email to let you know that SMF could not connect to the database, contact your host if this continues.

На версии 2.0.7 такого не было ни разу.

GeorG

Если разговор про домен из вашего профиля, то он у меня вообще не открывается, вы уверены в правильности его установки?
Верстка тем по шаблону, их доработка/переработка, переделка тем с версии smf 1.1 на smf 2.0. Примеры работ - insidestyle.ru
Установка модов (заточка под ваш форум); Моды под заказ; Обновление форума; Правильный перенос; Удаление/лечение вирусов; Устранения ошибок.
Обращаться в ЛС
Мой форум
Модуль анти-спама CleanTalk, сам пользуюсь
Сервера которыми сам пользуюсь - cadedic.ru

Корреспондент

GeorG, вообще-то тот домен что у меня в профиле, работает. Может когда вы пытались открыть его, глючил хостинг.
Но речь не о том домене. У меня ещё один есть. Это мини-сайт с форумом. Форум раньше стоял там SMF 2.0.7. После того как вышел новый релиз 2.0.8, я решил полностью удалить свой старый форум вместе с Базой Данных(всёровно он был пустым) и установить новый SMF 2.0.8 с нуля. Установка прошла четко, модов у меня там нет. И вот за последнюю неделю мне на е-мейл третий раз приходит вон то сообщение на английском. Ну в принципе сам форум работает, сообщения оставляются, ничего необычного.

S.T.A.L.K.E.R.

Цитата: Корреспондент от 04 июля 2014, 18:12:58
GeorG, вообще-то тот домен что у меня в профиле, работает. Может когда вы пытались открыть его, глючил хостинг.
Но речь не о том домене. У меня ещё один есть. Это мини-сайт с форумом. Форум раньше стоял там SMF 2.0.7. После того как вышел новый релиз 2.0.8, я решил полностью удалить свой старый форум вместе с Базой Данных(всёровно он был пустым) и установить новый SMF 2.0.8 с нуля. Установка прошла четко, модов у меня там нет. И вот за последнюю неделю мне на е-мейл третий раз приходит вон то сообщение на английском. Ну в принципе сам форум работает, сообщения оставляются, ничего необычного.
И база данных MySQL нормально работает и вы её создали при установке форума?Или оставили старую базу и подключили её к новому форуму?

Корреспондент

Всё было создано по-новому, в том числе и база данных конечно.

P.s. Написал на саппорт своему хостеру, жду ответа.

Сергей Д.

Цитата: Sergey40 от 20 июня 2014, 16:59:15
Автоматически не было предложено обновить форум. А после того как нажал "Получение файлов с сайта Simple Machines", выдало ошибку:
Не удалось получить файл http://www.simplemachines.org/smf/current-version.js?version=SMF+2.0.7.

Сегодня в логе ошибок читаю о новой ошибке
Не удалось получить файл http://www.simplemachines.org/smf/latest-themes.js?language=russian&version=SMF+2.0.8.
Что может быть?
Форум для тех, кому за 40 на Facebook: Форум za40.org.

kak2z

Цитата: Sergey40 от 08 августа 2014, 00:08:07
Сегодня в логе ошибок читаю о новой ошибке
Не удалось получить файл http://www.simplemachines.org/smf/latest-themes.js?language=russian&version=SMF+2.0.8.
Что может быть?
не переживайте.. офф бывает время от времени недоступен..
Если нужно что то исправить, обновить, переставить, настроить, сделать форум заново - пишите в ЛС)

Сергей Д.

Спасибо. Так и понял, что ничего критичного в ошибке нет.
Форум для тех, кому за 40 на Facebook: Форум za40.org.

Noo

До 2.0.7 обновлялся без проблем и ошибок, а сейчас не пойму что делать с этими двумя ошибками, установить игнорируя или манипуляции нужны какие? Строчек в файле Sources/Subs.php таких нет чтобы патч их заменил вот и ошибка.
Код: (Найти ) [Выделить]
$callback = pregReplaceCurry('smielyPregReplaceCallback', 2);
$message = preg_replace_callback($smileyPregSearch, $callback($smileyPregReplacements), $message);
Код: (Заменить ) [Выделить]
$context['smiley_replacements'] = $smileyPregReplacements;
$message = preg_replace_callback($smileyPregSearch, 'smileyPregReplaceCallback', $message);



Код: (Найти ) [Выделить]
// Our callback that does the actual smiley replacements.
function smielyPregReplaceCallback($replacements, $matches)
{
    return $replacements[$matches[1]];
}
Код: (Заменить ) [Выделить]
// Our callback that does the actual smiley replacements.
function smileyPregReplaceCallback($matches)
{
global $context;
    return $context['smiley_replacements'][$matches[1]];
}

Noo

Все получилось, хотел 207 версию удалить и там ошибка примерно такая же, добавил строки нехватающие (которые не прописались почему то при обновлении до 207) и обновил до 208.

GeorG

У вас эти строчки, модом работающим со смайлами видимо изменён...
Верстка тем по шаблону, их доработка/переработка, переделка тем с версии smf 1.1 на smf 2.0. Примеры работ - insidestyle.ru
Установка модов (заточка под ваш форум); Моды под заказ; Обновление форума; Правильный перенос; Удаление/лечение вирусов; Устранения ошибок.
Обращаться в ЛС
Мой форум
Модуль анти-спама CleanTalk, сам пользуюсь
Сервера которыми сам пользуюсь - cadedic.ru

IL555

Цитата: Serifa от 19 июня 2014, 15:31:31
А можно для самых продвинутых: как именно обновиться, где чего нажать?
так сам обновляюсь очень редко, то каждый раз как в первый класс (((((
вчера 3 часа искал, где же обновиться в админке
нашел ))))
делюсь с такими же "чайниками" как и я
просто у меня форум весь на русском, а один абзац на английском и его естественно просто пропускаешь, не вчитываясь особо
да и само подлое, что кликабельная ссылка не подчеркнута, как обычно бывает.
вот скрин нужной кнопки ))

digger®

Цитата: IL555 от 26 сентября 2014, 20:12:41
так сам обновляюсь очень редко, то каждый раз как в первый класс (((((
вчера 3 часа искал, где же обновиться в админке
В начале темы все, что только можно рассказать о вариантах обновления, указано.